Data - Retrieve Object Data
Retrieves objects based on the specified criteria.
POST http://<Servername>/OperationsManager/data/scomObjects
Request Body
Media Types: "application/json", "text/json", "application/xml", "text/xml", "application/x-www-form-urlencoded"
| Name | Type | Description |
|---|---|---|
| criteria |
string |
Specify the criteria to search. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK.Successfully retrieved objects based on the specified criteria. Media Types: "application/json", "text/json", "application/xml", "text/xml" |
Examples
RetrieveSCOMObjects
Sample request
POST http://<Servername>/OperationsManager/data/scomObjects
[
"DisplayName LIKE '%unix%'"
]
Sample response
{
"scopeDatas": [
{
"id": "dfc9175d-c0bc-4166-7e0a-0f40c4d4fc6e",
"displayName": "UNIX/Linux Computer Group",
"className": "UNIX/Linux Computer Group",
"path": null,
"fullName": "Microsoft.Unix.ComputerGroup"
}
]
}
Definitions
| Name | Description |
|---|---|
|
Scope |
|
|
Scope |
ScopeData
| Name | Type | Description |
|---|---|---|
| className |
string |
Class Name |
| displayName |
string |
Display Name |
| fullName |
string |
Full Name |
| id |
string |
ID |
| path |
string |
Path |
ScopeDataResponse
| Name | Type | Description |
|---|---|---|
| scopeDatas |
Scope Data |